Skip to main content
POST
Create address

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Path Parameters

partner_id
integer
required

The partner ID

Example:

1

Body

application/json
sub_type
enum<string>
required

Address type.

Available options:
permanent,
present,
invoice,
delivery,
other
Example:

"invoice"

name
string
required

Address name or label (max 255 characters). Must not be greater than 255 characters.

Example:

"Main Office"

email
string | null

Email address (max 255 characters). Must be a valid email address. Must not be greater than 255 characters.

Example:

"office@example.com"

phone
string | null

Phone number (max 20 characters). Must not be greater than 20 characters.

Example:

"+1234567890"

mobile
string | null

Mobile number (max 20 characters). Must not be greater than 20 characters.

Example:

"+1234567890"

street1
string | null

Street address line 1 (max 255 characters). Must not be greater than 255 characters.

Example:

"123 Main Street"

street2
string | null

Street address line 2 (max 255 characters). Must not be greater than 255 characters.

Example:

"Suite 100"

city
string | null

City (max 255 characters). Must not be greater than 255 characters.

Example:

"New York"

zip
string | null

Postal/ZIP code (max 20 characters). Must not be greater than 20 characters.

Example:

"10001"

state_id
integer | null

State ID. The id of an existing record in the states table.

Example:

9

country_id
integer | null

Country ID. The id of an existing record in the countries table.

Example:

233

Response

Created